Python
from openlayer import Openlayer
client = Openlayer()
inference_pipelines = client.projects.inference_pipelines.list("3fa85f64-5717-4562-b3fc-2c963f66afa6")
for inference_pipeline in inference_pipelines.items:
print(inference_pipeline.id, inference_pipeline.name)import Openlayer from 'openlayer';
const client = new Openlayer();
const inferencePipelines = await client.projects.inferencePipelines.list('3fa85f64-5717-4562-b3fc-2c963f66afa6');
console.log(inferencePipelines.items);
package main
import (
"context"
"fmt"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
pipelines, err := client.Projects.InferencePipelines.List(
context.TODO(),
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
openlayer.ProjectInferencePipelineListParams{
Name: openlayer.F("production"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", pipelines.Items)
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.projects.inferencepipelines.InferencePipelineListParams;
import com.openlayer.api.models.projects.inferencepipelines.InferencePipelineListResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
InferencePipelineListParams params = InferencePipelineListParams.builder()
.projectId("3fa85f64-5717-4562-b3fc-2c963f66afa6")
.name("production")
.build();
InferencePipelineListResponse inferencePipelines = client.projects().inferencePipelines().list(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
inference_pipelines = openlayer.projects.inference_pipelines.list("3fa85f64-5717-4562-b3fc-2c963f66afa6")
puts(inference_pipelines)
curl --request GET \
--url https://api.openlayer.com/v1/projects/{projectId}/inference-pipelines \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "production",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"dateLastSampleReceived": "2024-03-22T11:31:01.185Z",
"description": "This pipeline is used for production.",
"dateLastEvaluated": "2024-03-22T11:31:01.185Z",
"dateOfNextEvaluation": "2024-03-22T11:31:01.185Z",
"passingGoalCount": 5,
"failingGoalCount": 1,
"totalGoalCount": 6,
"status": "completed",
"statusMessage": "Tests successfully evaluated",
"links": {
"app": "https://app.openlayer.com/myWorkspace/3fa85f64-5717-4562-b3fc-2c963f66afa6/inference-pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"workspaceId": "055fddb1-261f-4654-8598-f6347ee46a09",
"project": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workspaceId": "055fddb1-261f-4654-8598-f6347ee46a09",
"creatorId": "589ece63-49a2-41b4-98e1-10547761d4b0",
"name": "My Project",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"source": "web",
"taskType": "llm-base",
"versionCount": 2,
"inferencePipelineCount": 1,
"goalCount": 10,
"developmentGoalCount": 5,
"monitoringGoalCount": 5,
"links": {
"app": "https://app.openlayer.com/myWorkspace/3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"description": "My project description.",
"purpose": "Answer customer billing questions.",
"modelTypes": [
"llm"
],
"modelDeveloper": "Acme AI",
"dataRetentionDays": 30,
"gitRepo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gitId": 123,
"dateConnected": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"private": true,
"slug": "<string>",
"url": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gitAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch": "<string>",
"rootDir": "<string>"
}
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Openlayer",
"slug": "openlayer",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectCount": 1,
"memberCount": 1,
"inviteCount": 1,
"periodStartDate": "2023-11-07T05:31:56Z",
"periodEndDate": "2023-11-07T05:31:56Z",
"status": "active",
"wildcardDomains": [
"<string>"
],
"monthlyUsage": [
{
"monthYear": "2023-12-25",
"predictionCount": 1,
"executionTimeMs": 1
}
],
"samlOnlyAccess": true
},
"dateLastPolled": "2023-11-07T05:31:56Z",
"totalRecordsCount": 1000,
"dataBackend": {
"backendType": "bigquery",
"bigqueryConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "my-project",
"datasetId": "my-dataset",
"tableId": "my-table",
"partitionType": "DAY"
}
}
]
}{
"code": 123,
"error": "<string>"
}Monitoring
List data sources
List all data sources (formerly known as “inference pipelines”) in a project.
Python
from openlayer import Openlayer
client = Openlayer()
inference_pipelines = client.projects.inference_pipelines.list("3fa85f64-5717-4562-b3fc-2c963f66afa6")
for inference_pipeline in inference_pipelines.items:
print(inference_pipeline.id, inference_pipeline.name)import Openlayer from 'openlayer';
const client = new Openlayer();
const inferencePipelines = await client.projects.inferencePipelines.list('3fa85f64-5717-4562-b3fc-2c963f66afa6');
console.log(inferencePipelines.items);
package main
import (
"context"
"fmt"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
pipelines, err := client.Projects.InferencePipelines.List(
context.TODO(),
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
openlayer.ProjectInferencePipelineListParams{
Name: openlayer.F("production"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", pipelines.Items)
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.projects.inferencepipelines.InferencePipelineListParams;
import com.openlayer.api.models.projects.inferencepipelines.InferencePipelineListResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
InferencePipelineListParams params = InferencePipelineListParams.builder()
.projectId("3fa85f64-5717-4562-b3fc-2c963f66afa6")
.name("production")
.build();
InferencePipelineListResponse inferencePipelines = client.projects().inferencePipelines().list(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
inference_pipelines = openlayer.projects.inference_pipelines.list("3fa85f64-5717-4562-b3fc-2c963f66afa6")
puts(inference_pipelines)
curl --request GET \
--url https://api.openlayer.com/v1/projects/{projectId}/inference-pipelines \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "production",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"dateLastSampleReceived": "2024-03-22T11:31:01.185Z",
"description": "This pipeline is used for production.",
"dateLastEvaluated": "2024-03-22T11:31:01.185Z",
"dateOfNextEvaluation": "2024-03-22T11:31:01.185Z",
"passingGoalCount": 5,
"failingGoalCount": 1,
"totalGoalCount": 6,
"status": "completed",
"statusMessage": "Tests successfully evaluated",
"links": {
"app": "https://app.openlayer.com/myWorkspace/3fa85f64-5717-4562-b3fc-2c963f66afa6/inference-pipeline/3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"workspaceId": "055fddb1-261f-4654-8598-f6347ee46a09",
"project": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workspaceId": "055fddb1-261f-4654-8598-f6347ee46a09",
"creatorId": "589ece63-49a2-41b4-98e1-10547761d4b0",
"name": "My Project",
"dateCreated": "2024-03-22T11:31:01.185Z",
"dateUpdated": "2024-03-22T11:31:01.185Z",
"source": "web",
"taskType": "llm-base",
"versionCount": 2,
"inferencePipelineCount": 1,
"goalCount": 10,
"developmentGoalCount": 5,
"monitoringGoalCount": 5,
"links": {
"app": "https://app.openlayer.com/myWorkspace/3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"description": "My project description.",
"purpose": "Answer customer billing questions.",
"modelTypes": [
"llm"
],
"modelDeveloper": "Acme AI",
"dataRetentionDays": 30,
"gitRepo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gitId": 123,
"dateConnected": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"private": true,
"slug": "<string>",
"url": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gitAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch": "<string>",
"rootDir": "<string>"
}
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Openlayer",
"slug": "openlayer",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectCount": 1,
"memberCount": 1,
"inviteCount": 1,
"periodStartDate": "2023-11-07T05:31:56Z",
"periodEndDate": "2023-11-07T05:31:56Z",
"status": "active",
"wildcardDomains": [
"<string>"
],
"monthlyUsage": [
{
"monthYear": "2023-12-25",
"predictionCount": 1,
"executionTimeMs": 1
}
],
"samlOnlyAccess": true
},
"dateLastPolled": "2023-11-07T05:31:56Z",
"totalRecordsCount": 1000,
"dataBackend": {
"backendType": "bigquery",
"bigqueryConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "my-project",
"datasetId": "my-dataset",
"tableId": "my-table",
"partitionType": "DAY"
}
}
]
}{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The project id.
Query Parameters
The page to return in a paginated query.
Required range:
x >= 1Maximum number of items to return per page.
Required range:
1 <= x <= 100Filter list of items by name.
Response
Status OK.
Show child attributes
Show child attributes
Was this page helpful?